Resolver No se puede cambiar la versión del módulo web dinámico faceta del proyecto a 2.5

Solve Cannot Change Version Project Facet Dynamic Web Module 2

Al configurar las facetas del proyecto de Maven, el módulo web dinámico se establece de forma predeterminada en 2.3. Cuando necesite modificar a una versión más nueva, obtendrá el siguiente error
No se puede cambiar la versión del módulo web dinámico faceta del proyecto a 2.5
imagen

Solución:
1. En la interfaz principal ctrl + shift + R, abre la ventana Abrir recurso. Busque el archivo org.eclipse.wst.common.project.facet.core.xml.
imagen
2. Abra el archivo org.eclipse.wst.common.project.facet.core.xml y replaceVersion cambiado a 2.5.
imagen
3. De vuelta a la interfaz de configuración, no se ha informado de ningún error.
imagen